net.minecraft.item

## Class ItemSlab

- java.lang.Object
- - net.minecraft.item.Item
  - - net.minecraft.item.ItemBlock
    - - net.minecraft.item.ItemSlab

-     public class ItemSlab
      extends ItemBlock

- - ### Field Summary

    - ### Fields inherited from class net.minecraft.item.Item

      `appleGold, appleRed, arrow, axeDiamond, axeGold, axeSteel, axeStone, axeWood, bakedPotato, bed, beefCooked, beefRaw, blazePowder, blazeRod, boat, bone, book, bootsChain, bootsDiamond, bootsGold, bootsLeather, bootsSteel, bow, bowlEmpty, bowlSoup, bread, brewingStand, brick, bucketEmpty, bucketLava, bucketMilk, bucketWater, cake, carrot, carrotOnAStick, cauldron, chickenCooked, chickenRaw, clay, coal, compass, cookie, diamond, doorSteel, doorWood, dyePowder, egg, emerald, emptyMap, enchantedBook, enderPearl, expBottle, eyeOfEnder, feather, fermentedSpiderEye, field_94582_cb, field_94583_ca, field_94584_bZ, field_94585_bY, field_96600_cc, fireballCharge, firework, fireworkCharge, fishCooked, fishingRod, fishRaw, flint, flintAndSteel, flowerPot, ghastTear, glassBottle, goldenCarrot, goldNugget, gunpowder, helmetChain, helmetDiamond, helmetGold, helmetLeather, helmetSteel, hoeDiamond, hoeGold, hoeSteel, hoeStone, hoeWood, ingotGold, ingotIron, itemFrame, itemID, itemsList, leather, legsChain, legsDiamond, legsGold, legsLeather, legsSteel, lightStoneDust, magmaCream, map, melon, melonSeeds, minecartCrate, minecartEmpty, minecartPowered, monsterPlacer, netherStalkSeeds, netherStar, painting, paper, pickaxeDiamond, pickaxeGold, pickaxeSteel, pickaxeStone, pickaxeWood, plateChain, plateDiamond, plateGold, plateLeather, plateSteel, pocketSundial, poisonousPotato, porkCooked, porkRaw, potato, potion, pumpkinPie, pumpkinSeeds, record11, record13, recordBlocks, recordCat, recordChirp, recordFar, recordMall, recordMellohi, recordStal, recordStrad, recordWait, recordWard, redstone, redstoneRepeater, reed, rottenFlesh, saddle, seeds, shears, shovelDiamond, shovelGold, shovelSteel, shovelStone, shovelWood, sign, silk, skull, slimeBall, snowball, speckledMelon, spiderEye, stick, sugar, swordDiamond, swordGold, swordSteel, swordStone, swordWood, wheat, writableBook, writtenBook`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ItemSlab(int par1, BlockHalfSlab par2BlockHalfSlab, BlockHalfSlab par3BlockHalfSlab, boolean par4)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `canPlaceItemBlockOnSide(World par1World, int par2, int par3, int par4, int par5, EntityPlayer par6EntityPlayer, ItemStack par7ItemStack)`
    `Icon` | `getIconFromDamage(int par1)`
    `int` | `getMetadata(int par1)` Returns the metadata of the block which this Item (ItemBlock) can place
    `String` | `getUnlocalizedName(ItemStack par1ItemStack)` Returns the unlocalized name of this item.
    `boolean` | `onItemUse(ItemStack par1ItemStack, EntityPlayer par2EntityPlayer, World par3World, int par4, int par5, int par6, int par7, float par8, float par9, float par10)` Callback for item usage.

    - ### Methods inherited from class net.minecraft.item.ItemBlock

      `func_94581_a, func_94901_k, getBlockID, getCreativeTab, getSubItems, getUnlocalizedName, placeBlockAt`

    - ### Methods inherited from class net.minecraft.item.Item

      `addInformation, canHarvestBlock, createEntity, doesContainerItemLeaveCraftingGrid, func_77653_i, func_82788_x, getChestGenBase, getColorFromItemStack, getContainerItem, getContainerItemStack, getCreativeTabs, getDamageVsEntity, getEntityLifespan, getHasSubtypes, getIcon, getIcon, getIconFromDamageForRenderPass, getIconIndex, getIsRepairable, getItemDisplayName, getItemEnchantability, getItemStackLimit, getItemUseAction, getLocalizedName, getMaxDamage, getMaxItemUseDuration, getPotionEffect, getPotionEffect, getRarity, getRenderPasses, getShareTag, getSmeltingExperience, getStatName, getStrVsBlock, getStrVsBlock, hasContainerItem, hasCustomEntity, hasEffect, hitEntity, isDamageable, isFull3D, isItemTool, isMap, isPotionIngredient, isPotionIngredient, isRepairable, isValidArmor, itemInteractionForEntity, onArmorTickUpdate, onBlockDestroyed, onBlockStartBreak, onCreated, onDroppedByPlayer, onEaten, onItemRightClick, onItemUseFirst, onLeftClickEntity, onPlayerStoppedUsing, onUpdate, onUsingItemTick, requiresMultipleRenderPasses, setContainerItem, setCreativeTab, setFull3D, setMaxDamage, setMaxStackSize, setNoRepair, setUnlocalizedName, shouldPassSneakingClickToBlock, shouldRotateAroundWhenRendering`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ItemSlab

          public ItemSlab(int par1,
                  BlockHalfSlab par2BlockHalfSlab,
                  BlockHalfSlab par3BlockHalfSlab,
                  boolean par4)

  - ### Method Detail

    - #### getIconFromDamage

          public Icon getIconFromDamage(int par1)

      Overrides:
        `getIconFromDamage` in class `ItemBlock`

    - #### getMetadata

          public int getMetadata(int par1)

      Returns the metadata of the block which this Item (ItemBlock) can place
      Overrides:
        `getMetadata` in class `Item`

    - #### getUnlocalizedName

          public String getUnlocalizedName(ItemStack par1ItemStack)

      Returns the unlocalized name of this item. This version accepts an ItemStack so different stacks can have different names based on their damage or NBT.
      Overrides:
        `getUnlocalizedName` in class `ItemBlock`

    - #### onItemUse

          public boolean onItemUse(ItemStack par1ItemStack,
                          EntityPlayer par2EntityPlayer,
                          World par3World,
                          int par4,
                          int par5,
                          int par6,
                          int par7,
                          float par8,
                          float par9,
                          float par10)

      Callback for item usage. If the item does something special on right clicking, he will have one of those. Return True if something happen and false if it don't. This is for ITEMS, not BLOCKS
      Overrides:
        `onItemUse` in class `ItemBlock`

    - #### canPlaceItemBlockOnSide

          public boolean canPlaceItemBlockOnSide(World par1World,
                                        int par2,
                                        int par3,
                                        int par4,
                                        int par5,
                                        EntityPlayer par6EntityPlayer,
                                        ItemStack par7ItemStack)

      Overrides:
        `canPlaceItemBlockOnSide` in class `ItemBlock`